<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Requests\API\AuthRequest;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AuthController extends BaseController
{
    public function login(AuthRequest $request)
    {
        if (Auth::attempt(['username' => $request->username, 'password' => $request->password])) {
            $user = Auth::user();
            $success['token'] =  $user->createToken('PresenceQRCodeApp')->plainTextToken;
            $success['data']['name'] =  $user->name;
            $success['data']['username'] =  $user->username;
            $success['data']['email'] =  $user->email;

            return $this->sendResponse($success, ' تم الدخول بنجاح .');
        } else {
            return $this->sendError('رقم هاتفك خطئ راجع مدير النظام ');
        }
    }

    public function logout(Request $request)
    {
        $request->user()->currentAccessToken()->delete();
        return $this->sendResponse([], ' تم تسجيل الخروج بنجاح.');
    }
}
