<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Illuminate\Support\Facades\Hash;
use PhpParser\Node\Stmt\Foreach_;
use Spatie\Permission\Models\Permission;
class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {



         // Reset cached roles and permissions
         app()['cache']->forget('spatie.permission.cache');

         // create permissions
         Permission::create(['name' => 'edit articles']);
         Permission::create(['name' => 'delete articles']);
         Permission::create(['name' => 'publish articles']);
         Permission::create(['name' => 'unpublish articles']);

         // create roles and assign created permissions
         $role = Role::create(['name' => 'Admin']);
         $role->givePermissionTo([Permission::all()]);

         $role = Role::create(['name' => 'user']);
         $role->givePermissionTo(Permission::all());

         $user1 = new User;
         $user1->name = 'محمد عبد السلام  عاطف ';
         $user1->username = 'moham2edatef';
         $user1->phone = '771051082';
         $user1->email = 'moham2edatef@gmail.com';
         $user1->password = Hash::make('123123');
         $user1->save();
         $user1->assignRole('Admin');

    //    User::insert([


    //         [
    //             'name' => 'علي العصيمي',
    //             'username' => '770500326',
    //             'email' => 'maza12@gmail.com',
    //             'phone' => '770500326',
    //             'password' => Hash::make('123'),
    //         ],
    //         [
    //             'name' => 'علي المطري',
    //             'username' => '777680082',
    //             'email' => 'maza13@gmail.com',
    //             'phone' => '777680082',
    //             'password' => Hash::make('123'),
    //         ],
    //         [
    //             'name' => 'عصام الهمداني',
    //             'username' => '777708400',
    //             'email' => 'maza14@gmail.com',
    //             'phone' => '777708400',
    //             'password' => Hash::make('123'),
    //         ],
    //         [
    //             'name' => 'صالح المنصوري',
    //             'username' => '776275978',
    //             'email' => 'maza16@gmail.com',
    //             'phone' => '776275978',
    //             'password' => Hash::make('123'),
    //         ]


    //     ]);



                // php artisan migrate:refresh --seed
            //    foreach($users7 as $user ){
//                  foreach( $user  as [$key , $value]){
//                 $usersr =User::create([
//                     'shift_id' => $value[$key],
//                     'name' => $value[$key],
//                     'username' => $value[$key],
//                     'email' => $value[$key],
//                     'department' => $value[$key],
//                     'phone' =>$value[$key],
//                     'password' => Hash::make('123')
// //   ,                 'password' => Hash::make('123'),
// //                     'password' => bcrypt('123')
//                                 // $key=> $value
//                 ]);
//             }
                // $role = Role::create(['name' => 'Admin']);
                // $permissions = Permission::pluck('id', 'id')->all();
                // $role->syncPermissions($permissions);
                // $usersr->assignRole([$role->id]);
            //  }
    }
}


