var map, infoWindow;
var geocoder;
var lat, log;
window.onload = function () {
    geocoder = new google.maps.Geocoder();
    map = new google.maps.Map(document.getElementById("mapCanvas"), {
        center: {
            lat: -34.397,
            lng: 150.644
        },
        zoom: 18
    });

    infoWindow = new google.maps.InfoWindow();
    if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(
            function (position) {
                var pos = {
                    lat: position.coords.latitude,
                    lng: position.coords.longitude
                };

                var marker = new google.maps.Marker({
                    position: pos,
                    map: map,
                    draggable: true,
                    title: "Your position"
                });
                /*infoWindow.setPosition(pos);
            infoWindow.setContent('Your position');
            marker.addListener('click', function() {
              infoWindow.open(map, marker);
            });
            infoWindow.open(map, marker);*/
                map.setCenter(pos);

                updateMarkerPosition(marker.getPosition());
                geocodePosition(pos);

                // Add dragging event listeners.
                google.maps.event.addListener(marker, "dragstart", function () {
                    updateMarkerAddress("Dragging...");
                });

                google.maps.event.addListener(marker, "drag", function () {
                    updateMarkerStatus("Dragging...");
                    updateMarkerPosition(marker.getPosition());
                });

                google.maps.event.addListener(marker, "dragend", function () {
                    updateMarkerStatus("Drag ended");
                    geocodePosition(marker.getPosition());
                    map.panTo(marker.getPosition());
                });

                google.maps.event.addListener(map, "click", function (e) {
                    updateMarkerPosition(e.latLng);
                    geocodePosition(marker.getPosition());
                    marker.setPosition(e.latLng);
                    map.panTo(marker.getPosition());
                });
            },
            function () {
                handleLocationError(true, infoWindow, map.getCenter());
            }
        );
    } else {
        // Browser doesn't support Geolocation
        handleLocationError(false, infoWindow, map.getCenter());
    }
};

function initMap() {}

function geocodePosition(pos) {
    geocoder.geocode({
            latLng: pos
        },
        function (responses) {
            if (responses && responses.length > 0) {
                updateMarkerAddress(responses[0].formatted_address);
            } else {
                updateMarkerAddress(
                    "Cannot determine address at this location."
                );
            }
        }
    );
}

function updateMarkerStatus(str) {
    document.getElementById("markerStatus").innerHTML = str;
}

function updateMarkerPosition(latLng) {
    document.getElementById("lat").value = latLng.lat();
    document.getElementById("log").value = latLng.lng();

    document.getElementById("info").innerHTML = [
        latLng.lat(),
        latLng.lng()
    ].join(", ");
}

function updateMarkerAddress(str) {
    var sp = str.split("،");

    document.getElementById("address").value = sp[0];
    document.getElementById("city").value = sp[1];
}

function handleLocationError(browserHasGeolocation, infoWindow, pos) {
    infoWindow.setPosition(pos);
    infoWindow.setContent(
        browserHasGeolocation ?
        "Error: The Geolocation service failed." :
        "Error: Your browser doesn't support geolocation."
    );
    infoWindow.open(map);
}
