<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title id="title_page"><?php echo e(config('app.name', 'Laravel')); ?></title>
    <link rel="shortcut icon" href="<?php echo e(URL::asset('images/logo.svg')); ?>" type="image/x-icon">
    <link rel="stylesheet" href="<?php echo e(asset('/css/vendors_css.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('/css/color_theme.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('/css/skin_color.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('/css/fontawesome.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/hijri/css/ummalqura.calendars.picker.css')); ?>">

</head>

<body class="hold-transition  light-skin sidebar-mini theme-primary rtl">
    <div id="app" class="wrapper">
        <?php echo $__env->make('back.include.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('back.include.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="content-wrapper">
            <div id="show_notification"></div>
            <div class="container-full" id="pages_admin">
                
                <?php echo $__env->yieldContent('content'); ?>
                
                </section>
            </div>
        </div>
        <?php echo $__env->make('back.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('back.include.model', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    <script src="<?php echo e(asset('/js/vendors.min.js')); ?>"></script>
    
    
    <script src="<?php echo e(asset('/assets/icons/feather-icons/feather.min.js')); ?>"></script>
    <script src="<?php echo e(asset('/assets/vendor_components/datatable/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('/assets/vendor_components/bootstrap-select/dist/js/bootstrap-select.js')); ?>"></script>
    <script src="<?php echo e(asset('/assets/vendor_components/select2/dist/js/select2.full.js')); ?>"></script>
    <script src="<?php echo e(asset('/assets/vendor_plugins/input-mask/jquery.inputmask.js')); ?>"></script>
    <script src="<?php echo e(asset('/assets/vendor_plugins/input-mask/jquery.inputmask.date.extensions.js')); ?>"></script>
    <script src="<?php echo e(asset('/assets/vendor_plugins/input-mask/jquery.inputmask.extensions.js')); ?>"></script>
    
    <script src="<?php echo e(asset('hijri/js/jquery.calendars.js')); ?>"></script>
    <script src="<?php echo e(asset('hijri/js/jquery.plugin.js')); ?>"></script>
    <script src="<?php echo e(asset('hijri/js/jquery.calendars.plus.js')); ?>"></script>
    <script src="<?php echo e(asset('hijri/js/jquery.calendars.picker.js')); ?>"></script>
    <script src="<?php echo e(asset('hijri/js/jquery.calendars.picker-ar.js')); ?>"></script>
    <script src="<?php echo e(asset('hijri/js/jquery.calendars.ummalqura.js')); ?>"></script>
    <script src="<?php echo e(asset('hijri/js/jquery.calendars.ummalqura-ar.js')); ?>"></script>
    <script src="<?php echo e(asset('hijri/js/calendar-convert.js')); ?>"></script>
    <script src="<?php echo e(asset('/assets/vendor_plugins/iCheck/icheck.js')); ?>"></script>
    <script src="<?php echo e(asset('/js/pages/app-contact.js')); ?>"></script>
    <script src="<?php echo e(asset('/js/template.js')); ?>"></script>
    <script src="<?php echo e(asset('/js/pages/data-table.js')); ?>"></script>
    
    
    <script src="<?php echo e(asset('/js/pages/dashboard.js')); ?>"></script>
    <script src="<?php echo e(asset('/js/demo.js')); ?>"></script>
    <script src="<?php echo e(asset('/js/pages/notification.js')); ?>"></script>
    
    <script src="<?php echo e(asset('/js/pages/advanced-form-element.js')); ?>"></script>
    <?php echo $__env->yieldPushContent('script'); ?>
    <script src="<?php echo e(asset('js/maza.js')); ?>"></script>
    <script type="text/javascript">
        function delete_item(id, name_pages) {
            document.getElementById("delete_id_modal").value = id;
            document.getElementById("delete_name_pages_modal").value = name_pages;
            $("#delete_item_ok").modal("show");
            toastr.error('هل متأكد من الحذف.');
        }

        function even_Pusher(name_pages) {
            document.getElementById("even_Pusher_pages_modal").innerHTML = name_pages;
            $("#even_Pusher_ok").modal("show");
        }

        function deleteItemModal() {
            var id = document.getElementById("delete_id_modal").value;
            var name_pages = document.getElementById("delete_name_pages_modal").value;
            $.ajax({
                type: 'get',
                url: "/" + name_pages + "_delete/" + id,
                contentType: false,
                cache: false,
                beforeSend: function() {
                    // $('#delete_item_ok').css("opacity", ".8");
                },
                success: function(msg) {
                    if (msg == 'error') {
                        document.getElementById("delete_id_modal").value = '';
                        document.getElementById("delete_name_pages_modal").value = '';
                        toastr.error('العنصر هذا مربوط بعدة عناصر .');
                        $("#delete_item_ok").modal('hide');
                    } else {
                        $("#create_item_" + id + "_row").hide(1000);
                        document.getElementById("delete_id_modal").value = '';
                        document.getElementById("delete_name_pages_modal").value = '';
                        //var ajaxDisplay = document.getElementById(name_pages + "_" + id).innerHTML = msg;
                        $("#delete_item_ok").modal('hide');
                        // $('#delete_item_ok').css("opacity", "1");
                        toastr.success('تم الحذف بنجاح .');
                    }
                }
            });
        }

        function pages_admin(pages, title_page) {
            var ajaxRequest;
            try {
                ajaxRequest = new XMLHttpRequest();
            } catch (e) {
                try {
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {

                    try {
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e) {
                        alert("Your browser broke!");
                        return false;
                    }
                }
            }



            ajaxRequest.onreadystatechange = function() {
                if (ajaxRequest.readyState == 4) {
                    $.getScript("<?php echo e(asset('js/pages/data-table.js')); ?>");
                    $.getScript("<?php echo e(asset('js/pages/app-contact.js')); ?>");
                    $.getScript("<?php echo e(asset('js/maza.js')); ?>");
                    $.getScript("<?php echo e(asset('/js/pages/advanced-form-element.js')); ?>");
                    var ajaxDisplay = document.getElementById("pages_admin");
                    ajaxDisplay.innerHTML = ajaxRequest.responseText;
                }
            }
            document.getElementById('title_page').innerHTML = title_page;
            $('.ti-more.text-success').removeClass('text-success');
            $("#" + pages).addClass('text-success');
            document.getElementById('create_item_id').value = '';
            window.history.pushState('object or string', 'pages_admin', '/pages_' + pages);
            ajaxRequest.open("get", "/" + pages, true);
            ajaxRequest.send();
        }

        function create_item(item) {
            var ajaxRequest;
            try {
                ajaxRequest = new XMLHttpRequest();
            } catch (e) {
                try {
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {

                    try {
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e) {
                        alert("Your browser broke!");
                        return false;
                    }
                }
            }
            ajaxRequest.onreadystatechange = function() {
                if (ajaxRequest.readyState == 4) {
                    $.getScript("<?php echo e(asset('js/maza.js')); ?>");
                    var ajaxDisplay = document.getElementById("create_item_row");
                    ajaxDisplay.innerHTML = ajaxRequest.responseText;
                }
            }
            $("#myModal").modal("show");
            document.getElementById('create_item_id').value = item;
            ajaxRequest.open("get", "/create_" + item, true);
            ajaxRequest.send();
        }
        function create_item9(item, id) {
            var ajaxRequest;
            try {
                ajaxRequest = new XMLHttpRequest();
            } catch (e) {
                try {
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {

                    try {
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e) {
                        alert("Your browser broke!");
                        return false;
                    }
                }
            }
            ajaxRequest.onreadystatechange = function() {
                if (ajaxRequest.readyState == 4) {
                    $.getScript("<?php echo e(asset('js/maza.js')); ?>");
                    var ajaxDisplay = document.getElementById("create_item_row");
                    ajaxDisplay.innerHTML = ajaxRequest.responseText;
                }
            }
            $("#myModal").modal("show");
            document.getElementById('create_item_id').value = item;
            ajaxRequest.open("get", "/create_" + item + "/" + id, true);
            ajaxRequest.send();
        }

        function update_item(id, name) {
            var ajaxRequest;
            try {
                ajaxRequest = new XMLHttpRequest();
            } catch (e) {
                try {
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {

                    try {
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e) {
                        alert("Your browser broke!");
                        return false;
                    }
                }
            }
            ajaxRequest.onreadystatechange = function() {
                if (ajaxRequest.readyState == 4) {
                    $.getScript("<?php echo e(asset('js/maza.js')); ?>");
                    $.getScript("<?php echo e(asset('/js/pages/advanced-form-element.js')); ?>");
                    var ajaxDisplay = document.getElementById("update_item_form");
                    ajaxDisplay.innerHTML = ajaxRequest.responseText;
                }
            }
            $("#update_item_mod").modal("show");
            document.getElementById('update_item_id').value = id;
            document.getElementById('update_item_name').value = name;
            ajaxRequest.open("get", "/edit_" + name + "/" + id, true);
            ajaxRequest.send();
        }

        function qrcode_item(id, name) {
            var ajaxRequest;
            try {
                ajaxRequest = new XMLHttpRequest();
            } catch (e) {
                try {
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {

                    try {
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e) {
                        alert("Your browser broke!");
                        return false;
                    }
                }
            }
            ajaxRequest.onreadystatechange = function() {
                if (ajaxRequest.readyState == 4) {
                    $.getScript("<?php echo e(asset('js/maza.js')); ?>");
                    var ajaxDisplay = document.getElementById("qrcode_item_form");
                    ajaxDisplay.innerHTML = ajaxRequest.responseText;
                }
            }
            $("#qrcode_item_mod").modal("show");
            document.getElementById('qrcode_item_id').value = id;
            document.getElementById('qrcode_item_name').value = name;
            ajaxRequest.open("get", "/qrcode_" + name + "/" + id, true);
            ajaxRequest.send();
        }

        function updata_item5() {
            var form = $('#form_update_item')[0]; // You need to use standard javascript object here
            var formData = new FormData(form);
            var id = document.getElementById('update_item_id').value;
            var name = document.getElementById('update_item_name').value;

            //  $.ajaxSetup({  headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')} });
            $.ajax({
                method: 'POST',
                url: '/update_' + name,
                contentType: false,
                cache: false,
                processData: false,
                data: formData,
                beforeSend: function() {},
                success: function(result) {
                    $("#update_item_mod").modal("hide");
                    //  $("#not_success").click();
                    //  $('#show_notification').html('<div class="alert alert-success alert-dismissible"><a href="#" id="not_success2" class="close" data-dismiss="alert" aria-label="close">&times;</a><strong>Success!</strong>Notifications inserted successfully.</div>');
                    //  $('.alert').show(result);
                    //  $('.alert').html(result);
                    //   document.getElementById("not_success_name").append()=result.success;
                    //   document.getElementById('not_success_name').innerHTML =result.success;
                    //  $('.ti-more.text-success').removeClass('text-success');
                    //$('.alert').alert('close')
                    if (result.success) {
                        $('#show_notification').html(
                            '<div class="alert alert-success alert-dismissible"><a href="#" id="not_success2" class="close" data-dismiss="alert" aria-label="close">&times;</a>' +
                            result.success + '.</div>');
                        setInterval(function() {
                            $("#not_success2").click();
                        }, 6000);
                        //    $("#not_success").removeClass('show alert alert-danger');
                        //   $("#not_success").addClass('show alert alert-success');
                        //  document.getElementById('not_success_name').innerHTML =result.success;
                        // document.getElementById('not_success_name').innerHTML ='<div id="not_success_color" class="myadmin-alert myadmin-alert-icon myadmin-alert-click alert-success myadmin-alert-top alerttop" style="display: block;"> <i id="not_success_name">' +result.success+ '</i> <a href="#" class="closed">×</a> </div>';
                    } else {
                        $('#show_notification').html(
                            '<div class="alert alert-danger alert-dismissible"><a href="#" id="not_success3" class="close" data-dismiss="alert" aria-label="close">&times;</a>' +
                            result.error + '.</div>');
                        setInterval(function() {
                            $("#not_success3").click();
                        }, 6000);
                        //     $("#not_success").removeClass('show alert alert-success');
                        // $("#not_success").addClass('show alert alert-danger');
                        // document.getElementById('not_success_name').innerHTML ='<div id="not_success_color" class="myadmin-alert myadmin-alert-icon myadmin-alert-click alert-success myadmin-alert-top alerttop" style="display: block;"> <i id="not_success_name">' +result.error+ '</i> <a href="#" class="closed">×</a> </div>';
                        //   document.getElementById('not_success_name').innerHTML =result.error;
                    }
                },
                error: function(result) {
                    $.each(result.responseJSON.errors, function(field_name, error) {
                        $(document).find('[name=' + field_name + ']').after(
                            '<span class="text-strong textdanger" style="color:red;">' + error +
                            '</span>')
                    })
                }
            });
        }

        function create_item5() {
            var form = $('#form_create')[0]; // You need to use standard javascript object here
            var formdata1 = new FormData(form);
            var item = document.getElementById('create_item_id').value;

            // $.ajaxSetup({headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')} });
            $.ajax({
                method: 'POST',
                url: '/' + item + '_store',
                contentType: false,
                cache: false,
                processData: false

                    ,
                data: formdata1,
                beforeSend: function() {

                    //  $("#myModal").modal("hide");
                    //  $('#addCard_item' + id).css("opacity", ".");
                },
                success: function(result) {
                    $("#myModal").modal("hide");
                    // if( ajaxRequest.responseText)
                    // document.alert(ajaxRequest.responseText);
                    $(".alerttop").fadeToggle(350);
                    $("#" + item).click();

                    if (result.success) {
                        $('#show_notification').html(
                            '<div class="alert alert-success alert-dismissible"><a href="#" id="not_success2" class="close" data-dismiss="alert" aria-label="close">&times;</a>' +
                            result.success + '.</div>');
                        setInterval(function() {
                            $("#not_success2").click();
                        }, 6000);
                    } else {
                        $('#show_notification').html(
                            '<div class="alert alert-danger alert-dismissible"><a href="#" id="not_success3" class="close" data-dismiss="alert" aria-label="close">&times;</a>' +
                            result.error + '.</div>');
                        setInterval(function() {
                            $("#not_success3").click();
                        }, 6000);
                    }
                },
                error: function(result) {

                    //  $('.alert').show();
                    // $('.alert').html("هناك خطاء");

                    //  $("#not_success").click();
                    $.each(result.responseJSON.errors, function(field_name, error) {
                        $(document).find('[name=' + field_name + ']').after(
                            '<span class="text-strong textdanger" style="color:red;">' + error +
                            '</span>')
                    })
                }
            });
        }

        function create_item_products(pages, title_page) {
            var ajaxRequest;
            try {
                ajaxRequest = new XMLHttpRequest();
            } catch (e) {
                try {
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {
                    try {
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e) {
                        alert("Your browser broke!");
                        return false;
                    }
                }
            }
            ajaxRequest.onreadystatechange = function() {
                if (ajaxRequest.readyState == 4) {
                    if (pages == 'create_discounts') {
                        $.getScript("<?php echo e(asset('js/pages/app-contact.js')); ?>");
                    }
                    $.getScript("<?php echo e(asset('/js/pages/advanced-form-element.js')); ?>");
                    $.getScript("<?php echo e(asset('js/pages/data-table.js')); ?>");
                    $.getScript("<?php echo e(asset('js/maza.js')); ?>");
                    var ajaxDisplay = document.getElementById("pages_admin");
                    ajaxDisplay.innerHTML = ajaxRequest.responseText;
                }
            }
            document.getElementById('title_page').innerHTML = title_page;
            $('.ti-more.text-success').removeClass('text-success');
            $("#" + pages).addClass('text-success');
            document.getElementById('create_item_id').value = '';
            window.history.pushState('object or string', 'pages_admin', '/pages_' + pages);
            ajaxRequest.open("get", "/" + pages, true);
            ajaxRequest.send();
        }

        function update_item_products(pages, id, title_page) {
            var ajaxRequest;
            try {
                ajaxRequest = new XMLHttpRequest();
            } catch (e) {
                try {
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {
                    try {
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e) {
                        alert("Your browser broke!");
                        return false;
                    }
                }
            }
            ajaxRequest.onreadystatechange = function() {
                if (ajaxRequest.readyState == 4) {
                    $.getScript("<?php echo e(asset('js/pages/data-table.js')); ?>");
                    $.getScript("<?php echo e(asset('js/maza.js')); ?>");
                    $.getScript("<?php echo e(asset('js/pages/app-contact.js')); ?>");
                    var ajaxDisplay = document.getElementById("pages_admin");
                    ajaxDisplay.innerHTML = ajaxRequest.responseText;
                }
            }
            document.getElementById('title_page').innerHTML = title_page;
            $('.ti-more.text-success').removeClass('text-success');
            $("#" + pages).addClass('text-success');
            window.history.pushState('object or string', 'pages_admin', '/pages_' + pages + '/' + id);
            ajaxRequest.open("get", '/' + pages + '/' + id, true);
            ajaxRequest.send();
        }

        function update_item_print(pages, id, title_page) {
            var ajaxRequest;
            try {
                ajaxRequest = new XMLHttpRequest();
            } catch (e) {
                try {
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {
                    try {
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e) {
                        alert("Your browser broke!");
                        return false;
                    }
                }
            }
            ajaxRequest.onreadystatechange = function() {
                if (ajaxRequest.readyState == 4) {
                    $.getScript("<?php echo e(asset('assets/vendor_plugins/JqueryPrintArea/demo/jquery.PrintArea.js')); ?>");
                    $.getScript("<?php echo e(asset('js/pages/invoice.js')); ?>");
                    $.getScript("<?php echo e(asset('js/maza.js')); ?>");
                    $.getScript("<?php echo e(asset('js/pages/app-contact.js')); ?>");
                    var ajaxDisplay = document.getElementById("pages_admin");
                    ajaxDisplay.innerHTML = ajaxRequest.responseText;
                }
            }
            document.getElementById('title_page').innerHTML = title_page;
            $('.ti-more.text-success').removeClass('text-success');
            $("#" + pages).addClass('text-success');
            window.history.pushState('object or string', 'pages_admin', '/pages_' + pages + '/' + id);
            ajaxRequest.open("get", '/' + pages + '/' + id, true);
            ajaxRequest.send();
        }

        function create_product5(pages, back, item) {
            var form = $('#form_' + item)[0]; // You need to use standard javascript object here
            var formdata1 = new FormData(form);

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                method: 'POST',
                url: '/' + pages,
                contentType: false,
                cache: false,
                processData: false

                    ,
                data: formdata1,
                beforeSend: function() {},
                success: function(result) {
                    if (result.success) {
                        $('#show_notification').html(
                            '<div class="alert alert-success alert-dismissible"><a href="#" id="not_success2" class="close" data-dismiss="alert" aria-label="close">&times;</a>' +
                            result.success + '.</div>');
                        setInterval(function() {
                            $("#not_success2").click();
                        }, 6000);
                    } else {
                        $('#show_notification').html(
                            '<div class="alert alert-danger alert-dismissible"><a href="#" id="not_success3" class="close" data-dismiss="alert" aria-label="close">&times;</a>' +
                            result.error + '.</div>');
                        setInterval(function() {
                            $("#not_success3").click();
                        }, 6000);
                    }
                    $("#" + back).click();
                },
                error: function(result) {
                    $.each(result.responseJSON.errors, function(field_name, error) {
                        $(document).find('[id=' + field_name + ']').after(
                            '<span class="text-strong textdanger" style="color:red;">' + error +
                            '</span>')
                    })
                }
            });
        }

        function create_Report(pages,item) {
            var ajaxRequest;

            // var id = document.getElementById("deliver_id_user").value;

            try {
                ajaxRequest = new XMLHttpRequest();
            } catch (e) {
                try {
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {
                    try {
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e) {
                        alert("Your browser broke!");
                        return false;
                    }
                }
            }
            ajaxRequest.onreadystatechange = function() {
                    if (ajaxRequest.readyState == 4) {
                    $.getScript("<?php echo e(asset('js/pages/data-table.js')); ?>");
                    $.getScript("<?php echo e(asset('js/pages/app-contact.js')); ?>");
                    $.getScript("<?php echo e(asset('js/maza.js')); ?>");
                    $.getScript("<?php echo e(asset('/js/pages/advanced-form-element.js')); ?>");
                  var ajaxDisplay = document.getElementById("pages_admin");
                    ajaxDisplay.innerHTML = ajaxRequest.responseText;
                }
            };
            document.getElementById('title_page').innerHTML = "انشاء تقارير ";
            $('.ti-more.text-success').removeClass('text-success');
            $("#" + pages).addClass('text-success');
            document.getElementById('create_item_id').value = '';
            window.history.pushState('object or string', 'pages_admin', '/pages_' + pages);
            var formdata = $("#form_" + item).serialize();
            ajaxRequest.open("post",pages, true);
            ajaxRequest.setRequestHeader(
                "Content-type",
                "application/x-www-form-urlencoded"
            );
            ajaxRequest.send(formdata);
        }

        function add_item(id, name, name_item) {
            var ajaxRequest;
            try {
                ajaxRequest = new XMLHttpRequest();
            } catch (e) {
                try {
                    ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {

                    try {
                        ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (e) {
                        alert("Your browser broke!");
                        return false;
                    }
                }
            }
            ajaxRequest.onreadystatechange = function() {
                if (ajaxRequest.readyState == 4) {
                    //     $.getScript("<?php echo e(asset('js/maza.js')); ?>");
                    var ajaxDisplay = document.getElementById("add_discounts_product_disply");
                    ajaxDisplay.innerHTML = ajaxRequest.responseText;
                }
            }
            document.getElementById('add_discounts_product_id').value = id;
            document.getElementById('add_discounts_product_name').innerHTML = name_item;
            ajaxRequest.open("get", "/create_discount_id/" + id, true);
            ajaxRequest.send();
        }
    </script>

    
</body>

</html>
<?php /**PATH /home/mz/tepyanweb/resources/views/layouts/app_admin.blade.php ENDPATH**/ ?>